<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
<html>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
</head>
<body topmargin="0px" background="images/bg.jpg">
<table width="100%"  border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td width="52px" background="images/bg.jpg"><div style="width:52px; "></div></td>
    <td><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td><table width="100%"  border="0" cellspacing="0" cellpadding="0" background="images/bg.jpg">
          <tr>
            <td><div style="width:100%; height:39px; "></div></td>
          </tr>
          <tr>
            <td align="center" valign="middle"></td>
          </tr>
          <tr>
            <td align="center" height="39px">
            <table width="100%"  border="0" cellspacing="0" cellpadding="0" background="images/bg.jpg">
              <tr>
                <td height="44px" width="82px"><div style="width:82px; "></div></td>
                <td height="44px" width="39px" valign="top"><a href="./"><img src="images/{LOGO/@NAME}" border="0"/></a></td>
                <td><table width="100%"  border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td height="24px"  class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
                  </tr>
                  <tr>
                    <td height="20px" class="slogan" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
                  </tr>
                </table></td>
              </tr>
            </table></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td height="39px" background="images/bg.jpg"></td>
      </tr>
      <tr>
        <td><table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td height="9px"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td width="24px" height="9px"><img src="images/topl.jpg" width="24" height="9"/></td>
                <td  background="images/menubg1.jpg"><img src="images/menubg1.jpg"  height="9"/></td>
                <td width="25px" height="9px"><img src="images/topr.jpg" width="25" height="9"/></td>
              </tr>
            </table></td>
          </tr>
          <tr>
            <td><table width="100%"  border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td  width="24px" background="images/bodytl.jpg" ><div style="width:24px; height:31px; "></div></td>
                <td><table width="100%"  border="0" cellspacing="0" cellpadding="0" background="images/menubg2.jpg">
                  <tr>
				  <!-- MENU -->
				  <xsl:call-template name="TOP-MENU"/>  
				  <!-- MENU -->	
				  <!--
                    <td align="center" height="32px"><a href="#" class="amenu">Home</a></td>
                    <td  valign="middle" width="1px"><img src="images/split.jpg"/></td>
                    <td align="center"><a href="#"  class="menu">About</a></td> -->
                  </tr>
                </table></td>
                <td width="25px" background="images/bodytr.jpg" ><div style="width:25px; height:31px; "></div></td>
              </tr>
            </table></td>
          </tr>
          <tr>
            <td><table width="100%"  border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td width="24px" height="4px"><img src="images/bl.jpg" width="24" height="4"/></td>
                <td  height="4px"  background="images/menubg3.jpg"><img src="images/menubg3.jpg"  height="4"/></td>
                <td width="25px" height="4px"><img src="images/br.jpg" width="25" height="4"/></td>
              </tr>
            </table></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td><table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td><div style="height:20px; background-color:#FFFFFF ;"></div></td>
          </tr>
          <tr>
            <td><table width="100%" height="198px"  border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td width="20px" bgcolor="#FFFFFF"><div style="width:20px; "></div></td>
                <td width="215px"><img src="images/rili.jpg" width="215" height="198"/></td>
                <td  bgcolor="#FFFFFF"><div style="width:21px; "></div></td>
                <td align="right" width="394px"><img src="images/headers.jpg" width="394" height="198"/></td>
                <td width="20px" bgcolor="#FFFFFF"><div style="width:20px; "></div></td>
              </tr>
            </table></td>
          </tr>
          <tr>
            <td><div style="height:21px; background-color:#FFFFFF ;"></div></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td><table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td><table width="100%"  border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td width="20px" bgcolor="#FFFFFF"><div style="width:20px; height:200px; "></div></td>
                <td width="215px" bgcolor="#FFFFFF"  valign="top"><table width="100%"  height="200px" border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td height="7px"><img src="images/subtop.jpg"/></td>
                  </tr>
                  <tr>
                    <td align="center" valign="top" background="images/subbg.jpg">
					<table width="80%"  border="0" cellspacing="0" cellpadding="0">
					<xsl:call-template name="SUB-MENU">
               			<xsl:with-param name="pageID" select="@ID"/>
							</xsl:call-template> 
                      <!--
					  <tr>
                        <td  style="padding-left:10px; "  height="30px"><a href="#" class="asubmenu">2nd menu</a> </td>
						<td  width="10px" valign="middle"><img src="images/submenu.jpg"></td>
                      </tr>
                      <tr>
                        <td align="center"><img src="images/split2.jpg"></td>
                      </tr>
                      <tr>
                        <td  style="padding-left:10px; "  height="30px"><a href="#" class="submenu">News</a> </td>
						<td  width="10px" valign="middle"><img src="images/submenu.jpg"/></td>
                      </tr>  -->
                    </table></td>
                  </tr>
                  <tr>
                    <td height="6px"><img src="images/subbottom.jpg"/></td>
                  </tr>
                </table></td>
                <td  bgcolor="#FFFFFF" width="21px"><div style="width:21px; "></div></td>
                <td valign="top" bgcolor="#FFFFFF"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td height="40px" class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                  </tr>
                  <tr>
                    <td class="pageContent" name="SB_stretch"><xsl:apply-templates select="PAGE-CONTENT"/></td>
                  </tr>
                </table></td>
                <td width="20px" bgcolor="#FFFFFF"><div style="width:20px; "></div></td>
              </tr>
            </table></td>
          </tr>
          <tr>
            <td height="18px"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td height="18px" width="20px"><img src="images/bodybl.jpg" width="20" height="18"/></td>
                <td background="images/bodybg.jpg"><img src="images/bodybg.jpg"/></td>
                <td width="19px"><img src="images/bodybr.jpg"/></td>
              </tr>
            </table></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td height="76px" align="center" valign="middle" class="footer" background="images/bg.jpg"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
      </tr>
    </table></td>
    <td width="58px" background="images/bg.jpg"><div style="width:58px; "></div></td>
  </tr>
</table>
</body>
</html>
</xsl:template>

<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>

<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>



<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
					<tr>
                        <td  style="padding-left:10px; "  height="30px" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
						<td  width="10px" valign="middle"><img src="images/submenu.jpg"/></td>
                    </tr>
			</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
			
					  <tr>
                        <td  style="padding-left:10px; "  height="30px"><a href="{@HREF}" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a> </td>
						<td  width="10px" valign="middle"><img src="images/submenu.jpg"/></td>
                      </tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
	            <tr>
                  <td align="center"><img src="images/split2.jpg"/></td>
                </tr>		
	</xsl:if>
</xsl:template>	



<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
