<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
		<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
	</xsl:template>

	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="top">
   		<xsl:choose>
           <!-- active menu with link-->
           	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
			 <td height="58px"><table  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="17px" height="16px"><a href="{@HREF}"></a></td>
		<td rowspan="3" style="padding-left:7px;padding-right:22px; " align="left"><a href="{@HREF}" class="amenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
		
          </tr>
          <tr>
            <td width="17px" height="23px"><a href="{@HREF}"><img src="images/bullet_click.gif" width="17px" height="18px" border="0"/></a></td>
            
          </tr>
          <tr>
            <td width="17px" height="19px"><a href="{@HREF}"></a></td>
            
          </tr>
        </table></td>
			
            </xsl:when>
            <!-- active menu without link-->
            <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
			<td height="58px"><table  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="17px" height="16px"></td>
            <td rowspan="3" style="padding-left:7px;padding-right:22px; " align="left" class="amenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
          </tr>
          <tr>
            <td width="17px" height="23px"><img src="images/bullet_click.gif" width="17px" height="18px" border="0"/></td>
            
          </tr>
          <tr>
            <td width="17px" height="19px"></td>
       
          </tr>
        </table></td>
			
            </xsl:when>
            <xsl:otherwise>
			<td height="58px"><table  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="17px" height="16px"><a href="{@HREF}"></a></td>
            <td rowspan="3" style="padding-left:7px;padding-right:22px; " align="left"><a href="{@HREF}" class="menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
          </tr>
          <tr>
            <td width="17px" height="23px"><a href="{@HREF}"><img src="images/bullet.gif" width="17px" height="18px" border="0"/></a></td>
           
          </tr>
          <tr>
            <td width="17px" height="19px"><a href="{@HREF}"></a></td>
            
          </tr>
        </table></td>
            </xsl:otherwise>
	    </xsl:choose>
		<xsl:if test="position()!=last()">
	</xsl:if>
	</xsl:template>	

</xsl:stylesheet>
