<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
		<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
	</xsl:template>

	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="top">
   		<xsl:choose>
           <!-- active menu with link-->
           	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
					<td>
					<table width="100%" border="0" cellspacing="0" cellpadding="0">
                        <tr>
                           <td><div align="left"><img src="images/bullet_select.gif" width="19" height="20" /></div></td>
                           <td><a href="{@HREF}" class="amenu">
						   <div align="left">
						   <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
						   </div></a></td>
                        </tr>
                     </table>
					 </td>
            </xsl:when>
            <!-- active menu without link-->
            <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
			<td>
					<table width="100%" border="0" cellspacing="0" cellpadding="0">
                        <tr>
                           <td><div align="left"><img src="images/bullet_select.gif" width="19" height="20" /></div></td>
                           <td>
						   <div align="left" class="amenu">
						   <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
						   </div></td>
                        </tr>
                     </table>
					 </td>           
            </xsl:when> 
            <xsl:otherwise>
<td>
					<table width="100%" border="0" cellspacing="0" cellpadding="0">
                        <tr>
                           <td><div align="left"><img src="images/bullet.gif" width="19" height="20" /></div></td>
                           <td><a href="{@HREF}" class="amenu">
						   <div align="left">
						   <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
						   </div></a></td>
                        </tr>
                     </table>
					 </td>
            </xsl:otherwise>
	    </xsl:choose>
		<xsl:if test="position()!=last()">		
		
		
	</xsl:if>
	</xsl:template>	

</xsl:stylesheet>
