<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>

</head>


<body style="margin:0;" bgcolor="#FFFFFF">
<table width="100%" height="100%" bgcolor="#FFFFFF" border="0" align="center" cellpadding="0" cellspacing="0">
  <tr>
    <td height="251" valign="bottom" background="images/top-bg.gif"><table width="100%" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="98%" valign="top" style="background-image:url(images/headers.jpg); background-position:left; background-repeat:no-repeat;"><table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td><img name="" src="images/blank.gif" width="1" height="6" alt="" /></td>
                <td><img name="" src="images/blank.gif" width="1" height="6" alt="" /></td>
                <td><img name="" src="images/blank.gif" width="1" height="6" alt="" /></td>
              </tr>
              <tr>
                <td><img name="" src="images/blank.gif" width="32" height="1" alt="" /></td>
                <td background="images/menu-bg.gif"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td width="5%"><img src="images/top-1.gif" width="22" height="50" /></td>
                    <td width="90%"><table border="0" align="center" cellpadding="0" cellspacing="0">
                      <tr>
                         <!--Menu-->
 <xsl:call-template name="TOP-MENU"/>
<!--End Menu-->
                      </tr>
                    </table></td>
                    <td width="5%"><div align="right"><img src="images/top-2.gif" width="19" height="50" /></div></td>
                  </tr>
                </table></td>
                <td><img name="" src="images/blank.gif" width="32" height="1" alt="" /></td>
              </tr>
            </table></td>
          </tr>
          <tr>
            <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td width="40"><img name="" src="images/blank.gif" width="40" height="1" alt="" /></td>
                <td ><img name="" src="images/blank.gif" width="1" height="32" alt="" /></td>
              </tr>
              <tr>
                <td><img name="" src="images/blank.gif" width="1" height="40" alt="" /></td>
                <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td width="6%"><div align="center"><a href="./"><img src="images/{LOGO/@NAME}" hspace="10" border="0" alt=""/></a></div></td>
                    <!--Company-->
                    <td width="200" align="left" class="company" ><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
		  </tr>
                    <!--End Company-->
                </table></td>
              </tr>
            </table></td>
          </tr>
          <tr>
            <td></td>
          </tr>
        </table></td>
        <td width="2%" height="251"><div align="right"><img src="images/top-bg.gif" width="20" height="251" /></div></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td><table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="268" valign="top" background="images/submenu-bg.gif"><img src="images/1.gif" width="268" height="22" /></td>
        <td bgcolor="#FFFFFF" height="44"><img src="images/4.gif" width="470" height="44" /></td>
        <td width="32" valign="top" bgcolor="#FFFFFF"><div align="right"><img src="images/3.gif" width="32" height="22" /></div></td>
        <td width="20" bgcolor="#F6F6F6"><img name="" src="images/blank.gif" width="20" height="1" alt="" /></td>
      </tr>
      <tr>
        <td width="268" valign="top" background="images/submenu-bg.gif"><table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td><img name="" src="images/blank.gif" width="20" height="1" alt="" /></td>
            <td><table width="100%" border="0" cellspacing="6" cellpadding="0">
                <!--Sub Menu-->
<xsl:call-template name="SUB-MENU">	<xsl:with-param name="pageID" select="@ID"/></xsl:call-template> 
<!--End Menu-->
            </table></td>
            <td><img name="" src="images/blank.gif" width="20" height="1" alt="" /></td>
          </tr>
        </table></td>
        <td rowspan="2" valign="top"  style="background-image:url(images/txt-bg.gif); background-position:left; background-repeat:repeat-y;"><table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="8%"><img name="" src="images/blank.gif" width="32" height="1" alt="" /></td>
            <td width="85%"><table width="100%" height="100%" border="0" cellspacing="6" cellpadding="0">
              <tr>
                <td class="text-header" height="50"><span class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
              </tr>
              <tr>
                 <td  name="SB_stretch"><div class="pageContent"><xsl:apply-templates select="PAGE-CONTENT"/></div></td>
              </tr>
            </table></td>
            <td width="32"><img name="" src="images/blank.gif" width="32" height="1" alt="" /></td>
          </tr>
        </table>
          </td>
        <td bgcolor="#FFFFFF"></td>
        <td bgcolor="#F6F6F6"></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td background="images/bottom-1.gif"><img src="images/bottom-1.gif" width="3" height="5" /></td>
  </tr>
  <tr>
    <td height="52" background="images/bmenu-bg.gif"><table width="100%" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td><img name="" src="images/blank.gif" width="20" height="1" alt="" /></td>
        <td><table border="0" align="center" cellpadding="0" cellspacing="0">
          <tr>
             <!--bMenu-->
<xsl:call-template name="BOTTOM-MENU"/><!--End bMenu-->
          </tr>
        </table></td>
        <td><img name="" src="images/blank.gif" width="20" height="1" alt="" /></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="41" background="images/footer-bg.gif"><div align="center" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div></td>
  </tr>
</table>
</body>
</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
	
		<xsl:when test="@ID=/LAYOUT/@ID" >
		
		  <tr>
    
    	<td height="40" >
    		<table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0"> 
    			<tr>
    				<td><a href="{@HREF}" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
    				<td width="12" align="right"><img src="images/submenu.gif" border="0" /></td>
    			</tr>
    		</table>
    	</td>
  		</tr>
		</xsl:when>
		
		<xsl:otherwise>	
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
		  <tr>
    
    	<td height="40" >
    		<table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0">
    			<tr>
    				<td><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
    				<td width="12" align="right"><img src="images/submenu.gif" border="0" /></td>
    			</tr>
    		</table>
    	</td>
  		</tr>
			</xsl:if>
			
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
	<tr>
    <td height="1" background="images/submenu-hr.gif" ></td>
  </tr>
	</xsl:if>
	
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
			<td align="center"><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
			<td align="center"><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <xsl:otherwise>
 			<td align="center"><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			<td><img src="images/bmenu.gif" width="4" height="4" hspace="20" border="0" /></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
