<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
		<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
	</xsl:template>

	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="top">
   		<xsl:choose>
           <!-- active menu with link-->
           	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
			 <td height="58px"><table  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="5px" height="16px" style="background:url(images/bullet_top.gif) top left no-repeat;"><a href="{@HREF}"></a></td>
			<td rowspan="3" style="padding-right:14px; " align="left"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td width="23px;" style="padding-left:10px;padding-right:10px; " class="menu"><a href="{@HREF}" class="amenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
              </tr>
            </table></td>
          </tr>
          <tr>
            <td width="5px" height="23px"><a href="{@HREF}"><img src="images/bullet_clicks.gif" width="4px" height="23px" border="0"/></a></td>
            
          </tr>
          <tr>
            <td width="5px" height="19px" style="background:url(images/bullet_bottom.gif) top left no-repeat;"><a href="{@HREF}"></a></td>
            
          </tr>
        </table></td>
			
            </xsl:when>
            <!-- active menu without link-->
            <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
			<td height="58px"><table  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="5px" height="16px" style="background:url(images/bullet_top.gif) top left no-repeat;"></td>
			<td rowspan="3" style="padding-right:14px; " align="left"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td width="23px;" style="padding-left:10px;padding-right:10px; " class="amenu" background="images/menu_click.gif"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
              </tr>
            </table></td>
            </tr>
          <tr>
            <td width="5px" height="23px" background="images/menu_click.gif"><img src="images/bullet_click.gif" width="4px" height="23px" border="0"/></td>
            
          </tr>
          <tr>
            <td width="5px" height="19px" style="background:url(images/bullet_bottom.gif) top left no-repeat;"></td>
            
          </tr>
        </table></td>
			
            </xsl:when>
            <xsl:otherwise>
			<td height="58px"><table  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="5px" height="16px" style="background:url(images/bullet_top.gif) top left no-repeat;"><a href="{@HREF}"></a></td>
			<td rowspan="3" style="padding-right:14px; " align="left"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td width="23px;" style="padding-left:10px;padding-right:10px; " class="menu"><a href="{@HREF}" class="menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
              </tr>
            </table></td>
             </tr>
          <tr>
            <td width="5px" height="23px"><a href="{@HREF}"><img src="images/bullet_click.gif" width="4px" height="23px" border="0"/></a></td>
            
          </tr>
          <tr>
            <td width="5px" height="19px" style="background:url(images/bullet_bottom.gif) top left no-repeat;"><a href="{@HREF}"></a></td>
            
          </tr>
        </table></td>
            </xsl:otherwise>
	    </xsl:choose>
		<xsl:if test="position()!=last()">
	</xsl:if>
	</xsl:template>	

</xsl:stylesheet>
