<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
		<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
	</xsl:template>

	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="top">
   		<xsl:choose>
           <!-- active menu with link-->
           	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
					<td>
					<table width="100%" border="0" cellspacing="0" cellpadding="0">
                        <tr>
                           <td><img src="images/bulletf.jpg" width="25px" height="17px" /></td>
                           <td style="background-color:#FF6600" height="17px">
                           <a href="{@HREF}" class="menu" >
						   		<xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
						   	</a>
						   	</td>
						   <td width= "6px" height= "17px">
						   		<img src="images/bulletb.jpg" width="6px" height="17px"/>
						   </td>
                        </tr>
                     </table>
					 </td>
            </xsl:when>
            <!-- active menu without link-->
            <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
					<td>
					<table width="100%" border="0" cellspacing="0" cellpadding="0">
                        <tr>
                           <td height="17px" align="right">
                           		<img src="images/bulletf.jpg" width="25px" height="17px" />
                           </td>
                          	<td align="left" class="menu" style="background-color :#FF6600" height="17px">
						   			<xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
						   </td>
						   <td width= "6px" height= "17px" valign="top ">
						   		<img src="images/bulletb.jpg" width="6" height="17px"/>
						   </td>
                        </tr>
                     </table>
					 </td>           
            </xsl:when> 
            <xsl:otherwise>
					<td>
					<table width="100%" border="0" cellspacing="0" cellpadding="0">
                        <tr>
                           <td height= "17px" align="right"><img src="images/bullet.jpg" width="25px" height="17px" /></td>
                           <td height="17px" align="left" ><a href="{@HREF}" class="amenu">
						   <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
						   </a></td>
                        </tr>
                     </table>
					 </td>
            </xsl:otherwise>
	    </xsl:choose>
		<xsl:if test="position()!=last()">		
		
		
	</xsl:if>
	</xsl:template>	

</xsl:stylesheet>
