<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>

<body style="margin:0;background-color:#F8F8EE;">
<table width="100%"  bgcolor="#ffffff" height="100%" border="0" cellpadding="0" cellspacing="0" style="background:url(images/body_bg.gif) repeat-x ">
  <tr>
    <td height="100%" valign="top" style="padding:40px 40px 0px 40px;"><table width="100%" height="100%" border="0" align="center" cellpadding="0" cellspacing="0">
      <tr>
        <td height="37" align="center" valign="bottom"><table width="100%" height="37" border="0" cellpadding="0" cellspacing="0" class="menubg">
          <tr>
            <td width="35" align="left" valign="top"><img src="images/topmenu_left.gif" width="9" height="9"/></td>
            <td align="center">              
            	
            	
            	
            	<table height="37" border="0" cellpadding="0" cellspacing="0">
                <tr>
                	<xsl:call-template name="TOP-MENU"/>
                </tr>
              </table></td>
             <td width="35" align="right" valign="bottom"><img src="images/topmenu_right.gif" width="9" height="9"/></td>
          </tr>
        </table>
          </td>
        </tr>
      <tr>
        <td height="35" style="background: url(images/bg_hr.gif);background-repeat: repeat-x;background-position: center;"></td>
        </tr>
      <tr>
        <td height="183"><table width="100%" height="183" border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td width="226"><table width="226" height="183" border="0" cellpadding="0" cellspacing="0">
              <tr>
                <td width="41"><img src="images/logo_left.jpg" width="41" height="183"/></td>
                <td align="center" background="images/logo_bg.gif">
				<table width="100%" border="0" cellpadding="0" cellspacing="0">
                  <tr>
                    <td rowspan="2" style="padding-right:10px;"><a href="./"><img src="images/{LOGO/@NAME}" border="0"/></a></td>
                    <td class="company" align="left" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
                    </tr>
                  <tr>
                    <td class="slogan" align="left" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
                    </tr>
                </table></td>
                <td width="40"><img src="images/logo_right.jpg" width="40" height="183"/></td>
              </tr>
            </table></td>
            <td width="20"><img src="" name="" width="20px" height="1" alt="" border="0" /></td>
            <td align="left"><img src="images/header.jpg" width="463" height="183"/></td>
          </tr>
        </table>
                
        </td>
        </tr>
      <tr>
        <td height="34" style="background: url(images/bg_hr2.gif);background-repeat: repeat-x;background-position: center;"></td>
      </tr>
      <tr>
        <td height="100%" valign="top"><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td width="230" valign="top"><table width="226" border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td><img src="images/submenu_top.png" width="226" height="42"/></td>
                </tr>
              <tr>
                <td height="30" background="images/submenu_bg.gif">
                	
                	
                	<table width="208" height="160" border="0" align="center" cellpadding="0" cellspacing="0"  style="background:url(images/submenubg.jpg);background-repeat: repeat-x;">
					<tr>
					<td height="160" valign="top">
					<table width="208" border="0" align="center" cellpadding="0" cellspacing="0" >
                		<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
						</table>
						</td>
						</tr>
  
                </table>
                
                </td>
                </tr>
              <tr>
                <td><img src="images/submenu_bottom.gif" width="226" height="32"/></td>
                </tr>
            </table></td>
            <td width="20"><img src="" name="" width="20px" height="1" alt="" border="0" /></td>
            <td height="100%" valign="top"><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
              <tr>
                <td width="14" height="14"><img src="images/content1.gif" width="14" height="14"/></td>
                <td background="images/content_top.gif"></td>
                <td width="14" height="14"><img src="images/content2.gif" width="14" height="14"/></td>
              </tr>
              <tr>
                <td background="images/content_left.gif"></td>
                <td height="100%" valign="top" background="images/contentbg.gif"><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="22">
                  <tr>
                    <td height="30" class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                    </tr>
                  <tr>
                    <td height="100%" valign="top" class="pageContent" name="SB_stretch"><xsl:apply-templates select="PAGE-CONTENT"/></td>
                    </tr>
                </table></td>
                <td background="images/content_right.gif"></td>
              </tr>
              <tr>
                <td width="14" height="14"><img src="images/content3.gif" width="14" height="14"/></td>
                <td height="14" background="images/content_bottom.gif"></td>
                <td width="14" height="14"><img src="images/content4.gif" width="14" height="14"/></td>
              </tr>
            </table></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td height="20" background="images/bg_hr2.gif"></td>
      </tr>
      <tr>
        <td align="center" height="22">
        	<table border="0" cellpadding="0" cellspacing="0">
        		<tr>
        		<xsl:call-template name="BOTTOM-MENU"/>
        		</tr>
        	</table>
        </td>
      </tr>
      <tr>
        <td height="20" background="images/bg_hr2.gif"></td>
      </tr>
      <tr>
        <td height="35" valign="top" align="center">
           <div align="center" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
        </td>
      </tr>
    </table>
    </td>
  </tr>
</table>
</body>
</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>												
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
		    <tr>
       	  <td height="30" class="asubmenu_bg">
       	  	<table width="100%" height="30" border="0" cellspacing="0" cellpadding="0"> 
    					<tr>
    						<td style="padding-left:12px;"><a href="{@HREF}" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
    						<td width="15" align="left"><img src="images/submenu.gif" border="0" /></td>
    					</tr>
    				</table>
       	  </td>
        </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
		    <tr>
       	  <td height="30" >
       	  	<table width="100%" height="30" border="0" cellspacing="0" cellpadding="0"> 
    					<tr>
    						<td style="padding-left:12px;"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
    						<td width="15" align="left"><img src="images/submenu.gif" border="0" /></td>
    					</tr>
    				</table>
       	  </td>
        </tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
        <tr>
          <td height="1" class="submenu_hr" ></td>
        </tr>
        <tr>
          <td height="1" class="submenu_hr2" ></td>
        </tr>
	</xsl:if>
</xsl:template>	
	
<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
			<td align="center"><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
			<td align="center"><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <xsl:otherwise>
 			<td align="center"><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			<td width="23"></td>
			<td class="bmenu_bg" width="1"></td>
			<td width="23"></td>
  		</xsl:if>
</xsl:template>	
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}">
		<xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute>
	</meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>